summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorJon Atack <jon@atack.com>2024-05-01 14:22:37 -0700
committerGitHub <noreply@github.com>2024-05-01 14:22:37 -0700
commit253dd0999e505e1f09dacab4874b2f2e4118e6a4 (patch)
treef1120df673ef597d1e8d5d26342e59715a1cccb8 /scripts
parent602cd676cd4ec95d1143aa6f2c39d661e95a2897 (diff)
parent09439bb6626305c0bf146069cf8ea467d05b87c5 (diff)
downloadbips-253dd0999e505e1f09dacab4874b2f2e4118e6a4.tar.xz
Merge pull request #1578 from achow101/fix-ci
ci: Update diff checks so that the task actually works
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/diffcheck.sh3
1 files changed, 3 insertions, 0 deletions
diff --git a/scripts/diffcheck.sh b/scripts/diffcheck.sh
index 4e4c459..aa9f557 100755
--- a/scripts/diffcheck.sh
+++ b/scripts/diffcheck.sh
@@ -1,5 +1,6 @@
#!/bin/bash
+scripts/buildtable.pl >/tmp/table.mediawiki 2> /dev/null
diff README.mediawiki /tmp/table.mediawiki | grep '^[<>] |' >/tmp/after.diff || true
if git checkout HEAD^ && scripts/buildtable.pl >/tmp/table.mediawiki 2>/dev/null; then
diff README.mediawiki /tmp/table.mediawiki | grep '^[<>] |' >/tmp/before.diff || true
@@ -8,6 +9,8 @@ if git checkout HEAD^ && scripts/buildtable.pl >/tmp/table.mediawiki 2>/dev/null
echo "$newdiff"
exit 1
fi
+ echo "README table matches expected table from BIP files"
else
echo 'Cannot build previous commit table for comparison'
+ exit 1
fi